<%@ Control Language="vb" Inherits="DotNetNuke.Entities.Modules.PortalModuleBase" %>
<%@ Import Namespace="DotNetNuke" %>
<%@ Import Namespace="CuteChat" %>
<%@ Import Namespace="System.Data" %>

<script runat="server">

        Protected Overrides Sub OnInit(ByVal args As EventArgs)
    	
        MyBase.OnInit(args)
    	
        Dim action As DotNetNuke.Entities.Modules.Actions.ModuleAction
        action = Actions.Add(GetNextActionID(), "Edit Lobbies", "")
        action.Url = EditUrl()
        action.Secure = DotNetNuke.Security.SecurityAccessLevel.Edit
        action.Visible = True
        
        
        Dim action2 As DotNetNuke.Entities.Modules.Actions.ModuleAction
        action2 = Actions.Add(GetNextActionID(), "Chat Admin", "")
        action2.Url = ResolveUrl("~/DesktopModules/CuteSoft_Client/CuteChat/chatadmin")
        action2.Secure = DotNetNuke.Security.SecurityAccessLevel.Edit
        action2.Visible = True
            
    End Sub

   Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        MyBase.OnLoad(e)

        If Not IsPostBack Then
            Dim lobbies As New ArrayList
            For Each lobbyinfo As LobbyInfo In ChatApi.GetLobbyInfoArray()
                If lobbyinfo.Lobby.Integration = "DotNetNukeModuleId" + ModuleId.ToString() Then
                    lobbies.Add(lobbyinfo)
                End If
            Next

            MyDataList.DataSource = lobbies
            MyDataList.DataBind()
        End If

    End Sub
    
</script>

<asp:DataList ID="MyDataList" RepeatColumns="2" runat="server">
    <ItemTemplate>
        <table border="0" cellspacing="0" cellpadding="6">
            <tr>
                <td>
                    <asp:HyperLink runat="server" ID="Hyperlink1" Target="_blank" NavigateUrl='<%# ResolveUrl("~/DesktopModules/CuteSoft_Client/CuteChat/Channel.Aspx?Place=Lobby-" + DataBinder.Eval(Container.DataItem,"Lobby.LobbyId","{0}") ) %>'>
						<img id="logo" src="<%# ResolveUrl("~/DesktopModules/CuteSoft_Client/CuteChat/images/room.gif") %>" border="0">
                    </asp:HyperLink>
                </td>
                <td>
                    <asp:HyperLink runat="server" ID="Link2" Target="_blank" NavigateUrl='<%# ResolveUrl("~/DesktopModules/CuteSoft_Client/CuteChat/Channel.Aspx?Place=Lobby-" + DataBinder.Eval(Container.DataItem,"Lobby.LobbyId","{0}") ) %>'
						Tooltip='<%# (CType(Container.DataItem,LobbyInfo)).JoinClient(",") %>'
                    >
						<%# DataBinder.Eval(Container.DataItem,"Name") %>
						( <%# DataBinder.Eval(Container.DataItem,"ClientCount") %> )
                    </asp:HyperLink>
                </td>
            </tr>
        </table>
    </ItemTemplate>
</asp:DataList>